Package org.apache.ignite.internal.management.kill

## Class ConsistencyCancelTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<NoArg,​Void,​Void>
  - - org.apache.ignite.internal.management.kill.ConsistencyCancelTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<NoArg>,​VisorTaskResult<Void>>`

    public class ConsistencyCancelTask
    extends VisorMultiNodeTask<NoArg,​Void,​Void>

Cancels given consistency repairs on all cluster nodes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`ConsistencyCancelTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.management.kill.ConsistencyCancelTask.ConsistencyCancelJob` `job​(NoArg arg)`
`protected Void` `reduce0​(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConsistencyCancelTask

    public ConsistencyCancelTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.management.kill.ConsistencyCancelTask.ConsistencyCancelJob job​(NoArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<NoArg,​Void,​Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    protected Void reduce0​(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<NoArg,​Void,​Void>`
Parameters:
  `results` - Job results.
Returns:
  Task result.